POST api/distributionapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
DistributionViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| communication_server_id | globally unique identifier |
Required |
|
| active | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "0373ce59-b414-486d-9ff3-8d9747a2f249",
"name": "sample string 2",
"communication_server_id": "043021c5-0b69-4b09-b2bc-6d327075a3b9",
"active": true
}
application/xml, text/xml
Sample:
<distribution xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <communication_server_id>043021c5-0b69-4b09-b2bc-6d327075a3b9</communication_server_id> <id>0373ce59-b414-486d-9ff3-8d9747a2f249</id> <name>sample string 2</name> </distribution>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"1fc6314d-16c4-42ef-8a7b-90c42c92ac4b"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">1fc6314d-16c4-42ef-8a7b-90c42c92ac4b</guid>